--- device.h.yaepg	2007-07-22 13:20:13.000000000 +0200
+++ device.h	2007-08-29 19:12:29.778179000 +0200
@@ -233,12 +233,12 @@
          ///< Direction (only the sign of Direction is evaluated, positive values
          ///< switch to higher channel numbers).
 private:
-  eSetChannelResult SetChannel(const cChannel *Channel, bool LiveView);
-         ///< Sets the device to the given channel (general setup).
 protected:
   virtual bool SetChannelDevice(const cChannel *Channel, bool LiveView);
          ///< Sets the device to the given channel (actual physical setup).
 public:
+  eSetChannelResult SetChannel(const cChannel *Channel, bool LiveView);
+         ///< Sets the device to the given channel (general setup).
   static int CurrentChannel(void) { return primaryDevice ? currentChannel : 0; }
          ///< Returns the number of the current channel on the primary device.
   static void SetCurrentChannel(const cChannel *Channel) { currentChannel = Channel ? Channel->Number() : 0; }
--- dvbosd.c.yaepg	2007-08-26 11:39:20.000000000 +0200
+++ dvbosd.c	2007-08-29 19:12:29.788179000 +0200
@@ -82,6 +82,10 @@
         shown = false;
         }
      }
+     if (vidWin.bpp != 0) {
+         Cmd(OSD_SetWindow, 0, 5);
+         Cmd(OSD_Close);
+     }
 }
 
 eOsdError cDvbOsd::CanHandleAreas(const tArea *Areas, int NumAreas)
@@ -184,6 +188,11 @@
          Cmd(OSD_SetWindow, 0, i + 1);
          Cmd(OSD_MoveWindow, 0, Left() + Bitmap->X0(), Top() + Bitmap->Y0());
          }
+     if (vidWin.bpp != 0) {
+         Cmd(OSD_SetWindow, 0, 5);
+//         Cmd(OSD_OpenRaw, vidWin.bpp, vidWin.x1, vidWin.y1,
+//         vidWin.x2, vidWin.y2, (void *)0);
+     }
      shown = true;
      }
 }
--- font.h.yaepg	2007-06-23 12:09:14.000000000 +0200
+++ font.h	2007-08-29 19:12:29.788179000 +0200
@@ -20,8 +20,9 @@
 enum eDvbFont {
   fontOsd,
   fontFix,
-  fontSml
-#define eDvbFontSize (fontSml + 1)
+  fontSml,
+  fontYaepg
+#define eDvbFontSize (fontYaepg + 1)
   };
 
 class cBitmap;
--- osd.c.yaepg	2007-08-29 19:12:29.438179000 +0200
+++ osd.c	2007-08-29 19:12:29.798179000 +0200
@@ -665,6 +665,7 @@
          }
       }
   Osds.Append(this);
+  vidWin.bpp = 0;
 }
 
 cOsd::~cOsd()
--- osd.h.yaepg	2007-08-26 11:45:38.000000000 +0200
+++ osd.h	2007-08-29 19:12:29.808179000 +0200
@@ -385,6 +385,7 @@
        ///< 7: vertical,   falling, upper
   virtual void Flush(void);
        ///< Actually commits all data to the OSD hardware.
+  tArea vidWin;
   };
 
 class cOsdProvider {
